LAGO_URL="https://api.getlago.com"API_KEY="__YOUR_API_KEY__"curl --location --request POST "$LAGO_URL/api/v1/customers/:external_id/checkout_url" \ --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Clientfrom lago_python_client.exceptions import LagoApiErrorclient = Client(api_key='__YOUR_API_KEY__')try: client.customers.checkout_url('external_id')except LagoApiError as e: repair_broken_state(e) # do something on error or raise your own exception
This endpoint regenerates the Payment Provider Checkout URL of a Customer.
POST
/
customers
/
{external_customer_id}
/
checkout_url
LAGO_URL="https://api.getlago.com"API_KEY="__YOUR_API_KEY__"curl --location --request POST "$LAGO_URL/api/v1/customers/:external_id/checkout_url" \ --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Clientfrom lago_python_client.exceptions import LagoApiErrorclient = Client(api_key='__YOUR_API_KEY__')try: client.customers.checkout_url('external_id')except LagoApiError as e: repair_broken_state(e) # do something on error or raise your own exception
LAGO_URL="https://api.getlago.com"API_KEY="__YOUR_API_KEY__"curl --location --request POST "$LAGO_URL/api/v1/customers/:external_id/checkout_url" \ --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Clientfrom lago_python_client.exceptions import LagoApiErrorclient = Client(api_key='__YOUR_API_KEY__')try: client.customers.checkout_url('external_id')except LagoApiError as e: repair_broken_state(e) # do something on error or raise your own exception